#!/bin/sh
# by John <john@yzzerdd.net>
# on 10 Sept 2006

KVER='2.6.20.3'
localKVER=`uname -r`

# check the kernel version and if it doesn't
# match the version ndiswrapper was compiled with,
# do not add the modules via depmod -a (as the ndiswrapper
# modules will be installed in an incorrect location)
if [ $KVER == $localKVER ]; then
	echo ""
	echo "Updating kernel modules for kernel "$localKVER"..."
	echo "/sbin/depmod -a"
	/sbin/depmod -a
	echo "done."
fi
if [ $KVER != $localKVER ]; then
	echo ""
	echo "Make sure your kernel version ("$localKVER") matches"
	echo "this package's kernel version ("$KVER")"
	echo "Then run:"
	echo "/sbin/depmod -a"
fi

# make sure the ipw3945 driver is not blacklisted as is the default
#  in slackware
echo
echo "checking if ipw3945 is blacklisted..."
blacklist=/etc/modprobe.d/blacklist
blkchk=$(grep ipw3945 $blacklist | cut -f 1 -d " ");
chk1=\#blacklist
chk2=blacklist

if [ $blkchk = $chk1 ]; then
        echo "Already commented out.";
elif [ $blkchk = $chk2 ]; then
        echo "Not commented out... fixing";
        sed -i 's/blacklist ipw3945/\#blacklist ipw3945/g' $blacklist
fi
echo "Done."

echo ""
echo "Check my wiki for instructions/help"
echo "http://wiki.thoughtbit.com/linux:slackpkg:ipw3945"
echo ""
